var a1 = document.getElementById(1);
var a2 = document.getElementById(2);
var a3 = document.getElementById(3);
var a4 = document.getElementById(4);
var a5 = document.getElementById(5);
var a6 = document.getElementById(6);
var a7 = document.getElementById(7);
var a8 = document.getElementById(8);
var a9 = document.getElementById(9);

var a10 = document.getElementById(10);
var a11 = document.getElementById(11);
var a12 = document.getElementById(12);
var a13 = document.getElementById(13);
var a14 = document.getElementById(14);
var a15 = document.getElementById(15);
var a16 = document.getElementById(16);
var a17 = document.getElementById(17);
var a18 = document.getElementById(18);
var a19 = document.getElementById(19);
var a20 = document.getElementById(20);

var a21 = document.getElementById(21);
var a22 = document.getElementById(22);
var a23 = document.getElementById(23);
var a24 = document.getElementById(24);
var a25 = document.getElementById(25);
var a26 = document.getElementById(26);
var a27 = document.getElementById(27);
var a28 = document.getElementById(28);
var a29 = document.getElementById(29);

var a30 = document.getElementById(30);
var a31 = document.getElementById(31);
var a32 = document.getElementById(32);
var a33 = document.getElementById(33);
var a34 = document.getElementById(34);
var a35 = document.getElementById(35);
var a36 = document.getElementById(36);
var a37 = document.getElementById(37);
var a38 = document.getElementById(38);
var a39 = document.getElementById(39);
var a40 = document.getElementById(40);
var a41 = document.getElementById(41);
var a42 = document.getElementById(42);

function flashpath()
{
setTimeout(function(){a3.style.backgroundColor="#FF7519"; a9.style.backgroundColor="#FF7519"; a15.style.backgroundColor="#FF7519"; a14.style.backgroundColor="#FF7519"; a13.style.backgroundColor="#FF7519"; a19.style.backgroundColor="#FF7519"; a25.style.backgroundColor="#FF7519"; a26.style.backgroundColor="#FF7519"; a27.style.backgroundColor="#FF7519"; a28.style.backgroundColor="#FF7519"; a22.style.backgroundColor="#FF7519"; a23.style.backgroundColor="#FF7519"; a24.style.backgroundColor="#FF7519"; a30.style.backgroundColor="#FF7519"; a36.style.backgroundColor="#FF7519"; a42.style.backgroundColor="#FF7519"},1500);

setTimeout(function(){a3.style.backgroundColor="#52CCCC"; a9.style.backgroundColor="#52CCCC"; a15.style.backgroundColor="#52CCCC"; a14.style.backgroundColor="#52CCCC"; a13.style.backgroundColor="#52CCCC"; a19.style.backgroundColor="#52CCCC"; a25.style.backgroundColor="#52CCCC"; a26.style.backgroundColor="#52CCCC"; a27.style.backgroundColor="#52CCCC"; a28.style.backgroundColor="#52CCCC"; a22.style.backgroundColor="#52CCCC"; a23.style.backgroundColor="#52CCCC"; a24.style.backgroundColor="#52CCCC"; a30.style.backgroundColor="#52CCCC"; a36.style.backgroundColor="#52CCCC"; a42.style.backgroundColor="#52CCCC"},1900);
}

function showpath(num)
{
square = num
correctpath = document.getElementById(num);
if (square == 3)
{
correctpath.style.backgroundImage="url('img/icepath.half.top.png')";
x=9
}
else if (square == x)
{
document.getElementById(3).style.backgroundImage="url('img/icepath.open.png')";
correctpath.style.backgroundImage="url('img/icepath.half.top.png')";
z=15
}
else if (square == z)
{
document.getElementById(9).style.backgroundImage="url('img/icepath.open.png')";
correctpath.style.backgroundImage="url('img/icepath.half.top.png')";
w=14
}
else if (square == w)
{
document.getElementById(15).style.backgroundImage="url('img/icepath.left.png')";
correctpath.style.backgroundImage="url('img/icepath.half.right.png')";
t=13
}
else if (square == t)
{
document.getElementById(14).style.backgroundImage="url('img/icepath.side.png')";
correctpath.style.backgroundImage="url('img/icepath.half.right.png')";
m=19
}
else if (square == m)
{
document.getElementById(13).style.backgroundImage="url('img/icepath.rightdown.png')";
correctpath.style.backgroundImage="url('img/icepath.half.top.png')";
n=25
}
else if (square == n)
{
document.getElementById(19).style.backgroundImage="url('img/icepath.open.png')";
correctpath.style.backgroundImage="url('img/icepath.half.top.png')";
p=26
}
else if (square == p)
{
document.getElementById(25).style.backgroundImage="url('img/icepath.right.png')";
correctpath.style.backgroundImage="url('img/icepath.half.left.png')";
u=27
}
else if (square == u)
{
document.getElementById(26).style.backgroundImage="url('img/icepath.side.png')";
correctpath.style.backgroundImage="url('img/icepath.half.left.png')";
k=28
}
else if (square == k)
{
document.getElementById(27).style.backgroundImage="url('img/icepath.side.png')";
correctpath.style.backgroundImage="url('img/icepath.half.left.png')";
b=22
}
else if (square == b)
{
document.getElementById(28).style.backgroundImage="url('img/icepath.left.png')";
correctpath.style.backgroundImage="url('img/icepath.half.bottom.png')";
y=23
}
else if (square == y)
{
document.getElementById(22).style.backgroundImage="url('img/icepath.rightdown.png')";
correctpath.style.backgroundImage="url('img/icepath.half.left.png')";
o=24
}
else if (square == o)
{
document.getElementById(23).style.backgroundImage="url('img/icepath.side.png')";
correctpath.style.backgroundImage="url('img/icepath.half.left.png')";
d=30
}
else if (square == d)
{
document.getElementById(24).style.backgroundImage="url('img/icepath.leftdown.png')";
correctpath.style.backgroundImage="url('img/icepath.half.top.png')";
j=36
}
else if (square == j)
{
document.getElementById(30).style.backgroundImage="url('img/icepath.open.png')";
correctpath.style.backgroundImage="url('img/icepath.half.top.png')";
q=42
}
else if (square == q)
{
document.getElementById(36).style.backgroundImage="url('img/icepath.open.png')";
correctpath.style.backgroundImage="url('img/icepath.half.top.png')";
window.location.assign("level.complete17.html")
}
else
{
correctpath.style.backgroundColor="#A00000"
window.location.assign("level.failed.html");
}
}

function gameover()
{
correctpath.style.backgroundColor="#A00000"
window.location.assign("level.failed.html");
}
